Bug 642995 - Review Request: rubygem-deltacloud-client - Deltacloud REST Client
Summary: Review Request: rubygem-deltacloud-client - Deltacloud REST Client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jordan OMara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-14 12:19 UTC by Michal Fojtik
Modified: 2014-11-09 22:55 UTC (History)
6 users (show)

Fixed In Version: rubygem-deltacloud-client-0.3.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-22 22:15:51 UTC
jomara: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-10-14 12:19:43 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-deltacloud-client.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-deltacloud-client-0.0.9.8-1.fc13.src.rpm

Description:

Deltacloud REST Client for API

Comment 1 Mamoru TASAKA 2010-10-25 19:26:05 UTC
Hello, Jordan:

As far as I checked FAS, you are not yet a member of "packager" group.
Would you tell me if this is correct?

A person who is going to assign review request ticket to him/herself and
to review ticket formally must be in "packager" group and so must be
sponsored when becoming a member of "packager" group.

Comment 2 Toshio Ernie Kuratomi 2010-10-25 20:52:23 UTC
Greetings, I'm willing to sponsor Jordan.  As part of that, I've asked him to review a package he's interested in and I'll sponsor him as one of the final steps so he can finish the review.  Thanks for keeping an eye out.

Comment 3 Jordan OMara 2010-10-26 17:20:49 UTC
Thanks for sponsoring me, Toshio!

Michal: everything looks good. There is one optional warning from rpmlint that you might want to address, but otherwise nice work.

rpmlint output: good
package name : good
spec file name : good
Packaging Guidelines : good
license included (ASL2): good
sources match upstream : good
builds for me on F13 : good
build dependencies : good
locales: good
no shared system libraries : good
correct directory ownership : good
no duplicate file ownership : good
permissions : good
macros : good
documentation : good
rubygem specific build config : good

My only suggestion is the warning from rpmlint: 

   rubygem-deltacloud-client.spec: W: no-buildroot-tag

A BuildRoot directive is required for older distros (RHEL5), and would be handy.

Good work!

Comment 4 Michal Fojtik 2010-10-27 10:29:39 UTC
Thank you for the review!

New Package SCM Request
=======================
Package Name:      rubygem-deltacloud-client
Short Description: Deltacloud REST Client 
Owners:            mfojtik
Branches:          f12 f13 f14

Comment 5 Jens Petersen 2010-10-28 09:13:16 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-10-29 10:36:40 UTC
rubygem-deltacloud-client-0.1.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.1.0-1.fc13

Comment 7 Fedora Update System 2010-10-29 10:41:29 UTC
rubygem-deltacloud-client-0.1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.1.0-1.fc14

Comment 8 Fedora Update System 2010-10-29 10:46:41 UTC
rubygem-deltacloud-client-0.1.0-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.1.0-1.fc12

Comment 9 Fedora Update System 2010-10-29 14:27:59 UTC
rubygem-deltacloud-client-0.1.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.1.0-2.fc13

Comment 10 Fedora Update System 2010-10-29 14:32:42 UTC
rubygem-deltacloud-client-0.1.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.1.0-2.fc14

Comment 11 Fedora Update System 2010-10-29 14:37:28 UTC
rubygem-deltacloud-client-0.1.0-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.1.0-2.fc12

Comment 12 Mamoru TASAKA 2010-10-29 17:13:32 UTC
However currently rest-client >= 1.4.2 is really needed.

[root@localhost ~]# rpm -q rubygem-deltacloud-client rubygem-rest-client
rubygem-deltacloud-client-0.1.0-2.fc14.noarch
rubygem-rest-client-1.4.0-6.fc14.noarch
[root@localhost ~]# ruby -rubygems -e 'gem "deltacloud-client"'
/usr/lib/ruby/site_ruby/1.8/rubygems.rb:779:in `report_activate_error': RubyGem version error: rest-client(1.4.0 not >= 1.4.2) (Gem::LoadError)
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:214:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:249:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `each'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:1082:in `gem'
        from -e:1

Comment 13 Fedora Update System 2010-10-29 20:37:56 UTC
rubygem-deltacloud-client-0.1.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-deltacloud-client'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.1.0-1.fc13

Comment 14 Michal Fojtik 2010-11-04 12:30:02 UTC
(In reply to comment #12)
> However currently rest-client >= 1.4.2 is really needed.
> 
> [root@localhost ~]# rpm -q rubygem-deltacloud-client rubygem-rest-client
> rubygem-deltacloud-client-0.1.0-2.fc14.noarch
> rubygem-rest-client-1.4.0-6.fc14.noarch
> [root@localhost ~]# ruby -rubygems -e 'gem "deltacloud-client"'
> /usr/lib/ruby/site_ruby/1.8/rubygems.rb:779:in `report_activate_error': RubyGem
> version error: rest-client(1.4.0 not >= 1.4.2) (Gem::LoadError)
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:214:in `activate'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:249:in `activate'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `each'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `activate'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:1082:in `gem'
>         from -e:1

Going to update rest-client. Thanks for find out this one.

Comment 15 Fedora Update System 2010-11-22 22:15:46 UTC
rubygem-deltacloud-client-0.1.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-02-17 00:52:02 UTC
rubygem-deltacloud-client-0.1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-05-17 13:52:14 UTC
rubygem-deltacloud-client-0.3.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.3.0-1.fc14

Comment 18 Fedora Update System 2011-06-16 14:15:36 UTC
rubygem-deltacloud-client-0.3.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-deltacloud-client-0.3.1-1.fc14

Comment 19 Fedora Update System 2011-06-29 21:55:27 UTC
rubygem-deltacloud-client-0.3.1-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.